Only install tox in dev mode (#7557)

This commit is contained in:
Paulus Schoutsen 2017-05-12 00:01:06 -07:00 committed by GitHub
parent b805d8a844
commit 8da10f670b
2 changed files with 3 additions and 19 deletions

View File

@ -1,5 +1,5 @@
#!/bin/sh
# Resolve all frontend dependencies that the application requires to run.
# Resolve all frontend dependencies that the application requires to develop.
# Stop on errors
set -e

View File

@ -1,26 +1,10 @@
#!/bin/sh
# Resolve all server dependencies that the application requires to run.
# Resolve all server dependencies that the application requires to develop.
# Stop on errors
set -e
cd "$(dirname "$0")/.."
# Some requirements use parameter --only-binary only available
# in pip 7+. Upgrade if necessary.
if ! python3 -c 'import pkg_resources ; pkg_resources.require(["pip>=7.0.0"])' 2>/dev/null ; then
echo "Upgrading pip..."
python3 -m pip install -U pip
fi
echo "Installing test dependencies..."
python3 -m pip install -r requirements_test_all.txt
REQ_DEV_STATUS=$?
if [ $REQ_DEV_STATUS -eq 0 ]
then
exit $REQ_STATUS
else
exit $REQ_DEV_STATUS
fi
python3 -m pip install tox